# $Id: smeserver-zabbix-agent.spec,v 1.34 2012/06/07 16:26:43 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-zabbix-agent
%define version 0.4.0
%define release 1
Summary: sme server integration of zabbix agent
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: zabbix-agent => 2.0.0
Requires: zabbix-agent-addons => 0.1.15
Requires: smeserver-remoteuseraccess
Requires: qmqtool
Requires: perl(IO::Socket)
Requires: perl(Net::SSLeay)
Requires: perl(Date::Parse)
Requires: perl(Crypt::OpenSSL::X509)
AutoReqProv: no

%description
smserver integration of zabbix agent.
Zabbix is an entreprise-class open source distributed monitoring
solution

%changelog
* Mon Mar 21 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.4.0-1.sme
- Add support for new encryption features of zabbix 3.0

* Wed Jun 10 2015 Daniel B. <daniel@firewall-services.com> - 0.3.8-1.sme
- Add a random delay before sending the status email

* Mon Jan 5 2015 Daniel B. <daniel@firewall-services.com> - 0.3.7-1.sme
- Requires qmqtool to monitor qmail queue

* Wed Jun 25 2014 Daniel B. <daniel@firewall-services.com> - 0.3.6-1.sme
- Fix a warning in util_send_mail.pl script on EL6

* Wed Jun 11 2014 Daniel B. <daniel@firewall-services.com> - 0.3.5-1.sme
- Fix exec perm on certs check scripts

* Tue May 6 2014 Daniel B. <daniel@firewall-services.com> - 0.3.4-1.sme
- Add support for nmb lookup script

* Wed Feb 19 2014 Daniel B. <daniel@firewall-services.com> - 0.3.3-1.sme
- Fix a typo in dependency

* Wed Feb 19 2014 Daniel B. <daniel@firewall-services.com> - 0.3.2-1.sme
- Add script to monitor PHPki certificates

* Tue Feb 18 2014 Daniel B. <daniel@firewall-services.com> - 0.3.1-1.sme
- Fix a syntaxe error in check_asterisk

* Tue Apr 16 2013 Daniel B. <daniel@firewall-services.com> - 0.3.0-1.sme
- Huge cleanup
- Requires zabbix-agent-addons

* Thu Apr 11 2013 Daniel B. <daniel@firewall-services.com> - 0.2.1-1.sme
- Improvement in mdstat-parser.pl

* Thu Jun 14 2012 Daniel B. <daniel@firewall-services.com> - 0.2.0-1.sme
- Import to GIT
- Remove certificate expiration script
- Make it 2.0 compatible

* Thu Jun 7 2012 Daniel B. <daniel@firewall-services.com> - 0.1-52.sme
- Add missing perl module in dependency

* Thu Jun 7 2012 Daniel B. <daniel@firewall-services.com> - 0.1-51.sme
- Add certificate expiration script

* Fri Oct 28 2011 Daniel B. <daniel@firewall-services.com> - 0.1-50.sme
- Fix a closing bracket in templates

* Wed Oct 26 2011 Daniel B. <daniel@firewall-services.com> - 0.1-49.sme
- Add better asterisk monitoring capabilities

* Fri Jul 08 2011 Daniel B. <daniel@firewall-services.com> - 0.1-48.sme
- Configure timeout from the DB (prop TimeOut)

* Wed May 04 2011 Daniel B. <daniel@firewall-services.com> 0.1-47
- Send status mail with some logs and active connexions (StatusMail prop)

* Thu Sep 02 2010 Daniel B. <daniel@firewall-services.com> 0.1-46
- Add /usr/sbin in path for check_lvm and check_asterisk

* Thu Sep 02 2010 Daniel B. <daniel@firewall-services.com> 0.1-45
- Add basic asterisk monitoring support
- Add basic LVM monitoring support

* Wed Aug 04 2010 Daniel B. <daniel@firewall-services.com> 0.1-44
- Support up to 8 disks for I/O monitoring. Report valid 0 value
  for non existing ones to prevent errors in server's log

* Wed Jun 23 2010 Daniel B. <daniel@firewall-services.com> 0.1-43
- Possibility to set Hostname from the DB [SME: 6083]

* Mon May 03 2010 Daniel B. <daniel@firewall-services.com> 0.1-42
- disable MegaCli log (which can break monitoring if log file reaches 2GB)
- report CRITICAL if both CRITICAL and WARNING are found
- add Squid UserParameters (hit ratio, cache size, req per minute)

* Wed Mar 17 2010 Daniel B. <daniel@firewall-services.com> 0.1-41
- read megaraid options from the DB (number of spares, number of 
  error to ignore)

* Fri Mar 12 2010 Daniel B. <daniel@firewall-services.com> 0.1-40
- update regex for incomming mail stats for newer qpsmtpd

* Wed Feb 17 2010 Daniel B. <daniel@firewall-services.com> 0.1-39
- update megaraid-parser.pl script with options to ignore some errors

* Mon Jan 4 2010 Daniel B. <daniel@firewall-services.com> 0.1-38
- Change UPS UserParameters to use wildcard, so you can monitor several UPS
  easily (require changes in the templates on the server side)

* Sun Dec 6 2009 Daniel B. <daniel@firewall-services.com> 0.1-37
- Call megaraid-parser.pl scripts with sudo in zabbix_agentd.conf

* Wed Dec 2 2009 Daniel B. <daniel@firewall-services.com> 0.1-36
- Run megaraid-parser.pl as root (with sudo) instead of granting 
  zabbix user unrestricted access to MegaCli

* Fri Sep 25 2009 Daniel B. <daniel@firewall-services.com> 0.1-35
- Support up to 8 disks for smart monitoring. Report valid 0 value 
  for non existing ones to prevent errors in server's log

* Tue Sep 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-34
- Add missing return after smart parameters (if several disks are monitored)

* Mon Aug 31 2009 Daniel B. <daniel@firewall-services.com> 0.1-33
- Add system.smart UserParameter (monitor smart values for configured hard drives)

* Wed Jul 08 2009 Daniel B. <daniel@firewall-services.com> 0.1-32
- Fix megaraid-parser script to support RAID-10 arrays

* Mon Jun 08 2009 Daniel B. <daniel@firewall-services.com> 0.1-31
- Add cpu.number UserParameter (return the number of CPU on the host)

* Wed May 06 2009 Daniel B. <daniel@firewall-services.com> 0.1-30
- Create missing tmp directory

* Mon Apr 27 2009 Daniel B. <daniel@firewall-services.com> 0.1-29
- megaraid-parser.pl is now compatible with newer versions
  of MegaCli
- Fix permission on megaraid-parser.pl script

* Thu Apr 23 2009 Daniel B. <daniel@firewall-services.com> 0.1-28
- improvements in sensors script
- Add megaraid-parser.pl script to get more accurate MegaRaid 
  conrolers informations
- use a cronjob to parse mail logs so multiple zabbix server
  can be used. Also, it won't repport false value if your host
  has been unreachable for some time
- change output of mdstat-parser.pl to report everything in one
  line (looks like megaraid-parser)

* Mon Apr 20 2009 Daniel B. <daniel@firewall-services.com> 0.1-27
- Add updates.available to retrieve the number of updates available 
  with yum
- Added sensors[*] key to retrieve sensors informations. The value are retrieved
  with the script /var/lib/zabbix/bin/sensors which can be customized.

* Fri Mar 27 2009 Daniel B. <daniel@firewall-services.com> 0.1-26
- Add raid.mega.status UserParameters to monitor status of MegaRaid based
  raid array

* Tue Mar 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-25
- Add comments for each UserParameter for configuration on the server side
  (Type of information, unit, etc...)

* Tue Mar 24 2009 Daniel B. <daniel@firewall-services.com> 0.1-24
- Add raid.sw.status userparameter to report software raid array status
- Remove tabs from spec
- Permission cleanup on scripts

* Wed Mar 18 2009 Daniel B. <daniel@firewall-services.com> 0.1-23
- Correct mysql.size parameter (sudo -u mysql)

* Mon Mar 09 2009 Daniel B. <daniel@firewall-services.com> 0.1-22
- Fix typo in sudoers template (ZABBIX_AGENT_MYSQL)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-21
- Add smeserver-remoteuseraccess as a dependencie (sudoer templates issue)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-20
- Adjust masq service on zabbix-agent-update event
- Add description of Timout directive
- Add BufferSend and BufferSize directive to optimize
  agent <-> server communication

* Sun Mar 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-19
- Add size of mysql data (mysql.size)

* Fri Feb 20 2009 Daniel B. <daniel@firewall-services.com> 0.1-18
- Add stats for InternalInterface and ExternalInterface

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-17
- Ignore local delivery from outgoing mail stats

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-16
- Fix a typo in mail.out.failure UserParameters

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-15
- Add UserParameters for outhoing mails statistics

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-14
- add missing other_denied UserParameters for mailStats
- Fix expand-template for /etc/sudoers during zabbix-agent-update event

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-13
- Add incoming mails statistics
- Rename signal-event to zabbix-agent-update (to prevent a conflict on
  sudoers files which needs to be expanded for server and agent)

* Wed Feb 11 2009 Daniel B. <daniel@firewall-services.com> 0.1-12
- Remove Useless buffers and cache mem
- Add vm.memory.size.pused (used memory in %)
- Add ups.battery.charge for ups
- Added "passive" db parameter
- default access is private

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-11
- Fix permissions on mysqladmin_status script

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-10
- Change used swap key

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-9
- Added userparameters for used swap space used in bytes

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-8
- Correct a type in memory statistics (for cached memory)

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-7
- Report also free, buffers and cached mem so stats are more accurate

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- substract cache/buffer from used mem

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Change key name for used memory
- Report Used mem instead of total

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-4
- Escape brackets in template

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-3
- Add UserParameters to repport amount of used memory

* Mon Feb 9 2009 Daniel B. <daniel@firewall-services.com> 0.1-2
- Add UserParameters to monitor real external IP, UPS status,
  mysql stats

* Fri Feb 6 2009 Daniel B. <daniel@firewall-services.com> 0.1-1
- add Hostname directive in zabbix_agentd.conf

* Wed Feb 04 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- initial release

%prep
%setup

%build
%{__mkdir_p} root/var/lib/zabbix/tmp
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /var/lib/zabbix/bin/check_mysqladmin_status_sudo 'attr(0750,root,zabbix)' \
	--file /var/lib/zabbix/bin/util_logtail 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/util_count_mail_in 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/util_count_mail_out 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/util_parse_mail_in 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/util_parse_mail_out 'attr(0755,root,root)' \
	--file /var/lib/zabbix/bin/check_asterisk 'attr(0750,root,zabbix)' \
        --file /var/lib/zabbix/bin/util_send_status_mail 'attr(0755,root,root)' \
        --file /var/lib/zabbix/bin/disco_certs_sudo 'attr(0750,root,zabbix)' \
        --file /var/lib/zabbix/bin/check_certs_sudo 'attr(0750,root,zabbix)' \
	--dir /var/lib/zabbix/tmp 'attr(0750,zabbix,zabbix)' \
	> %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /etc/init.d/zabbix-agent stop
fi

true
